if ($tagger =~ /deppattern|all/){
	my %keylang = (
		'spanish' => 'es',
		'english' => 'en',
	);
	# Path of DepPattern
	my $deppattern = $tagpath.'DepPattern-master/deppattern '.$keylang{$language};
	my $output = $tmpath.'/'.$id.'-deppattern.tag';
	my $command = "$deppattern -f $inputfile -conll > $output";
	
	# Messages for command line
	if ($verbose){
		&loading("DepPattern", $command);
	}
	# Execute tagging operation
	&perftime($command);
	
	# DepPattern's output is separated by tabs, so if you 
    # want a CSV output, you will get a CSV separated by tabs
    # by default. But if you want an html output, we will make
    # some changes in output text to show results in a pretty table.
	if ($format eq "txt" || $format eq "csv"){
		my $mv = "mv $output $outpath";
		warn "Moving output file: [$mv]\n";
		system($mv);
	}elsif ($format eq "html"){
		print "<pre>$perftime seconds elapsed.</pre>\n";
		open (DEP, '<', $output);
		print "<div class='table-responsive'>$tableprop\n";
		while (my $line = <DEP>){
			chomp $line;
			print "<tr><td>";
			$line =~ s/</&lt;/g;
			$line =~ s/>/&gt;/g;
			$line =~ s/\t/<\/td><td>/g;
			print $line;
			print "</td></tr>\n";
		}
		print "</table></div>\n";
		close DEP;
		warn "Removing [$output]\n" if ($unlink && $verbose);
		# If you use --unlink option, we will remove temporary file.
		unlink $output if ($unlink);
	}
}

1;
