if ($tagger =~ /spacy|all/){
	# Path of SpaCy
	my $spacy = $python.' '.$tagpath.'spaCy/'.$language.'.py';
	my $output = $tmpath.'/'.$id.'-spacy.tag';
	my $command = "$spacy -f $inputfile > $output";
	
	# Messages for command line
	if ($verbose){
		&loading("spaCy", $command);
	}
	# Execute tagging operation
	&perftime($command);
	
	# spaCy's output is separated by tabs, so if you 
    # want a CSV output, you will get a CSV separated by tabs
    # by default. But if you want an html output, we will make
    # some changes in output text to show results in a pretty table.
	if ($format eq "txt" || $format eq "csv"){
		my $mv = "mv $output $outpath";
		warn "Moving output file: [$mv]\n";
		system($mv);
	}elsif ($format eq "html"){
		print "<pre>$perftime seconds elapsed.</pre>\n";
		open (SPACY, '<', $output);
		print "<div class='table-responsive'>$tableprop\n";
		while (my $line = <SPACY>){
			chomp $line;
			print "<tr><td>";
			$line =~ s/ ?\t/<\/td><td>/g;
			print $line;
			print "</td></tr>\n";
		}
		print "</table></div>\n";
		close SPACY;
		warn "Removing [$output]\n" if ($unlink && $verbose);
		# If you use --unlink option, we will remove temporary file.
		unlink $output if ($unlink);
	}
}

1;
