if ($tagger =~ /stanford|all/){
	# Path of Stanford CoreNLP
	my $stanford = $tagpath.'stanford-corenlp-4.0.0/corenlp.sh';
	my $output = $inputfile;
	$output =~ s/^.+\/([^\/]+)$/$1/;
	$output = $tmpath.'/'.$output.'.conll';
	my $command = "$stanford -file $inputfile -outputFormat conll -outputDirectory $tmpath";
    
    # Messages for command line
	if ($verbose){
		&loading("Stanford CoreNLP", $command);
	}
	# Execute tagging operation
	&perftime($command);
    
    # Stanford CoreNLP's output is separated by tabs, so if you 
    # want a CSV output, you will get a CSV separated by tabs
    # by default. But if you want an html output, we will make
    # some changes in output text to show results in a pretty table.
    # The output file will have the .conll extension on the end of 
    # filename instead of the POStagger name like others.
	if ($format eq "txt" || $format eq "csv"){
		system ("mv $output $tmpath/$id-stanford.tag");
		$output = "$tmpath/$id-stanford.tag";
		my $mv = "mv $output $outpath";
		warn "Moving output file: [$mv]\n";
		system($mv);
	}elsif ($format eq "html"){
		print "<pre>$perftime seconds elapsed.</pre>\n";
		open (STAN, '<', $output);
		print "<div class='table-responsive'>$tableprop\n";
		while (my $line = <STAN>){
			chomp $line;
			next if ($line =~ /^$/);
			print "<tr><td>";
			$line =~ s/\t/<\/td><td>/g;
			print $line;
			print "</td></tr>\n";
		}
		print "</table></div>\n";
		close STAN;
		warn "Removing [$output]\n" if ($unlink && $verbose);
		# If you use --unlink option, we will remove temporary file.
		unlink $output if ($unlink);
	}
}

1;
