if ($tagger =~ /treetagger|all/){
	# Path of TreeTagger
	my $treetagger = $tagpath.'treetagger/cmd/tree-tagger-'.$language;
	my $output = $tmpath.'/'.$id.'-treetagger.tag';
	my $command = "$treetagger $inputfile > $output";
    
    # Messages for command line
	if ($verbose){
		&loading("TreeTagger", $command);
	}
	# Execute tagging operation
	&perftime($command);
    
    # TreeTagger's output is separated by tabs, so if you 
    # want a CSV output, you will get a CSV separated by tabs
    # by default. But if you want an html output, we will make
    # some changes in output text to show results in a pretty table.
	if ($format eq "txt" || $format eq "csv"){
		my $mv = "mv $output $outpath";
		warn "Moving output file: [$mv]\n";
		system($mv);
	}elsif ($format eq "html"){
		print "<pre>$perftime seconds elapsed.</pre>\n";
		open (TREE, '<', $output);
		print "<div class='table-responsive'>$tableprop\n";
		while (my $line = <TREE>){
			chomp $line;
			print "<tr><td>";
			$line =~ s/\t/<\/td><td>/g;
			print $line;
			print "</td></tr>\n";
		}
		print "</table></div>\n";
		close TREE;
		warn "Removing [$output]\n" if ($unlink && $verbose);
		# If you use --unlink option, we will remove temporary file.
		unlink $output if ($unlink);
	}
}

1;
