if ($tagger =~ /udpipe|all/){
    # Path of UDPipe
    my $udpipe = $tagpath.'udpipe-1.2.0-bin/src/udpipe --tokenize --tag --parse '.$tagpath.'udpipe-1.2.0-bin/spanish-ancora-ud-2.4-190531.udpipe';
    my $output = $tmpath.'/'.$id.'-udpipe.tag';
    my $command = "$udpipe $inputfile > $output";
    
    # Messages for command line
	if ($verbose){
		&loading('UDPipe', $command);
	}
    
    # Execute tagging operation
    &perftime($command);
    
    # UDPipe's output by default is separated by tabs, but have
    # some comments like input sentence. When we make a CSV file 
    # or HTML table, we ignore these commentaries.
    if ($format eq "txt"){
		my $mv = "mv $output $outpath";
		warn "Moving output file: [$mv]\n";
		system($mv);
	}elsif ($format eq "csv" || $format eq "html"){
		open (UDP, '<', $output);
		my $o = '' if ($format eq "csv");
		print "<pre>$perftime seconds elapsed.</pre>\n" if ($format eq "html");
		print "<div class='table-responsive'>$tableprop\n" if ($format eq "html");
		while (my $line = <UDP>) {
			chomp $line;
			next if ($line =~ /^#/);
			next if ($line =~ /^$/);
			if ($format eq "csv"){
				$o .= $line."\n";
			}elsif ($format eq "html"){
				print "<tr><td>";
				$line =~ s/\t/<\/td><td>/g;
				print $line;
				print "</td></tr>\n";
			}
		}
		print "</table></div>\n" if ($format eq "html");
		close UDP;
		if ($format eq "csv"){
			open (OUT, '>', $outpath.$id.'-udpipe.tag');
			print OUT $o;
			close OUT;
			unlink $output;
		}
		warn "Removing [$output]\n" if ($unlink && $verbose);
		# If you use --unlink option, we will remove temporary file.
		unlink $output if ($unlink);
	}
}

1;
